Estilo
======

**Estilo** makes easy to create and maintain colorschemes for vim, airline and lightline.


[![Build Status](https://travis-ci.org/jacoborus/estilo.svg?branch=master)](https://travis-ci.org/jacoborus/estilo) [![npm version](https://badge.fury.io/js/estilo.svg)](https://www.npmjs.com/package/estilo) ![npm dependencies](https://david-dm.org/jacoborus/estilo.svg) [![js-standard-style](https://img.shields.io/badge/code%20style-standard-brightgreen.svg)](http://standardjs.com/)


![estilo-demo](https://cloud.githubusercontent.com/assets/829859/18419822/ea729490-7863-11e6-8d04-ddb327da68cd.gif)


## Installation

Estilo is written in pure javascript, so you need [node.js v6](https://nodejs.org) or higher installed in your computer, then install with [npm](https://www.npmjs.com/package/estilo):

```sh
npm install -g estilo
```


## Quick start

Initialize your project and follow the instructions:

```sh
mkdir myproject && cd myproject && estilo init
```

Next: [Color palettes](docs/color-palettes.md)


## CLI

Usage: `estilo [command]`

Commands:

- **`init`**: Initialize an estilo project in current folder
- **`render`**: Render all the colorschemes and themes
- **`add-syntax`**: Add more syntax templates
- **`add-airline`**: Add a new Airline style
- **`add-lightline`**: Add a new Lightline style
- **`help`**: Show help


## Documentation

* [Color palettes](docs/color-palettes.md)
* [Colorschemes](docs/colorschemes.md)
* [Airline themes](docs/airline.md)
* [Lightline themes](docs/lightline.md)


## Colorschemes created with Estilo

- [Tender](https://github.com/jacoborus/tender.vim) by [@jacoborus](https://github.com/jacoborus)
- [Oceanic Next](https://github.com/mhartington/oceanic-next) by [@mhartington](https://github.com/mhartington)
- [Falcon](https://github.com/fenetikm/falcon) by [@fenetikm](https://github.com/fenetikm)
- [Github](https://github.com/albertorestifo/github.vim) by [@albertorestifo](https://github.com/albertorestifo)
- [add yours](https://github.com/jacoborus/estilo/issues/new)


<br><br>

---

© 2016 [Jacobo Tabernero](http://jacoborus.codes) - Released under [MIT License](https://raw.github.com/jacoborus/estilo/master/LICENSE)
