"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectSyntax = void 0;
const path_1 = __importDefault(require("path"));
const inquirer_1 = __importDefault(require("inquirer"));
const fs_1 = __importDefault(require("fs"));
const install_templates_1 = require("./install-templates");
function selectSyntax(projectPath) {
    const syntaxFolder = path_1.default.resolve(__dirname, '../../templates/syntax');
    const syntaxDestFolder = path_1.default.resolve(projectPath, 'estilo/syntax');
    const templateFiles = fs_1.default.readdirSync(syntaxFolder);
    const installedSyntax = fs_1.default.readdirSync(syntaxDestFolder);
    const templateChoices = templateFiles.map(filename => {
        const isDisabled = installedSyntax.includes(filename);
        let syntaxName = filename.slice(0, -4);
        if (isDisabled) {
            syntaxName += ' (installed)';
        }
        return {
            name: syntaxName,
            value: filename,
            disabled: isDisabled
        };
    });
    const questions = [{
            type: 'checkbox',
            message: 'Select some extra syntax templates',
            name: 'templates',
            choices: templateChoices
        }];
    inquirer_1.default.prompt(questions)
        .then(answers => install_templates_1.installTemplates(answers.templates));
}
exports.selectSyntax = selectSyntax;
