"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseUi = exports.isLegacyUi = void 0;
const uis = new Set(['u', 'b', 'r', 'i', 'c', 's']);
const uiValues = {
    u: 'underline',
    b: 'Bold',
    i: 'Italic',
    r: 'reverse',
    c: 'undercurl',
    s: 'standout'
};
function isLegacyUi(value) {
    return !value.split('').some(character => {
        return !uis.has(character);
    });
}
exports.isLegacyUi = isLegacyUi;
function parseUi(style) {
    return style.split('')
        .map(val => uiValues[val])
        .join(',');
}
exports.parseUi = parseUi;
