"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderProject = void 0;
const chalk_1 = __importDefault(require("chalk"));
const writers_1 = require("./writers");
const render_colorscheme_1 = require("./render-colorscheme");
const render_status_1 = require("./render-status");
function renderProject(project) {
    const { config } = project;
    config.colorschemes.forEach(config => {
        const rendered = render_colorscheme_1.renderColorscheme(config, project);
        writers_1.writeScheme(rendered, config.name, project.folderPath);
    });
    if (config.airline) {
        config.airline.forEach(config => {
            const rendered = render_status_1.renderStatus(config, project, 'airline');
            writers_1.writeStatus('airline', rendered, config.name, project.folderPath);
        });
    }
    if (config.lightline) {
        config.lightline.forEach(config => {
            const rendered = render_status_1.renderStatus(config, project, 'lightline');
            writers_1.writeStatus('lightline', rendered, config.name, project.folderPath);
        });
    }
    console.log(chalk_1.default.green('✓  Done, your theme is ready\n'));
}
exports.renderProject = renderProject;
