"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.estiloVersion = exports.pkg = exports.ymlsInFolder = exports.loadYml = exports.isHexColor = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const yaml_1 = __importDefault(require("yaml"));
const crash_1 = require("./crash");
function isHexColor(color) {
    return /(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(color);
}
exports.isHexColor = isHexColor;
function loadYml(folderPath, filename) {
    const filepath = path_1.default.resolve(folderPath, filename || '');
    const content = yaml_1.default.parse(fs_1.default.readFileSync(filepath, 'utf8'));
    if (typeof content !== 'object') {
        crash_1.crash('Content of file is not an object', { filepath });
    }
    return { filepath, content };
}
exports.loadYml = loadYml;
// returns a list of all the `.yml` filepaths contained inside folderpath
function ymlsInFolder(folderPath, folder2) {
    const finalPath = path_1.default.resolve(folderPath, folder2 || '');
    if (!fs_1.default.existsSync(finalPath))
        return [];
    return fs_1.default.readdirSync(finalPath, 'utf8')
        .filter(filename => filename.endsWith('.yml'))
        .map(name => path_1.default.resolve(finalPath, name));
}
exports.ymlsInFolder = ymlsInFolder;
const pkgpath = path_1.default.resolve(__dirname, '../package.json');
const raw = fs_1.default.readFileSync(pkgpath, 'utf8');
exports.pkg = JSON.parse(raw);
exports.estiloVersion = exports.pkg.version;
