"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeStatus = exports.writeScheme = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const mkdirp_1 = __importDefault(require("mkdirp"));
const paths = {
    airline: 'autoload/airline/themes',
    lightline: 'autoload/lightline/colorscheme'
};
function writeScheme(txt, name, projectPath) {
    const folderPath = path_1.default.resolve(projectPath, 'colors');
    const filepath = path_1.default.resolve(folderPath, name + '.vim');
    mkdirp_1.default.sync(folderPath);
    fs_1.default.writeFileSync(filepath, txt);
}
exports.writeScheme = writeScheme;
function writeStatus(kind, txt, name, projectPath) {
    const folderPath = path_1.default.resolve(projectPath, paths[kind]);
    const filepath = path_1.default.resolve(folderPath, name + '.vim');
    mkdirp_1.default.sync(folderPath);
    fs_1.default.writeFileSync(filepath, txt);
}
exports.writeStatus = writeStatus;
